type :: Class type

[frames] | no frames]

# Type type

    object --+
             |
            type

type(object) -> the object's type type(name, bases, dict) -> a new type

Instance Methods

__call__(x, ...) x(...) |

__delattr__(...) x.__delattr__('name') <==> del x.name |

__eq__(x, y) x==y |

__ge__(x, y) x>=y |

__getattribute__(...) x.__getattribute__('name') <==> x.name |

__gt__(x, y) x>y |

__hash__(x) hash(x) |

the object's type

__init__(object) x.__init__(...) initializes x; see help(type(x)) for signature |

bool

__instancecheck__() check if an object is an instance |

__le__(x, y) x<=y |

__lt__(x, y) x<y |

__ne__(x, y) x!=y |

a new object with type S, a subtype of T

__new__(T, S, ...) |

__repr__(x) repr(x) |

__setattr__(...) x.__setattr__('name', value) <==> x.name = value |

bool

__subclasscheck__() check if a class is a subclass |

list of immediate subclasses

__subclasses__() |

list

mro() return a type's method resolution order |

Inherited from `object`: `__format__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| __abstractmethods__
| __base__
| __bases__
| __basicsize__
| __dictoffset__
| __flags__
| __itemsize__
| __mro__
| __name__
| __weakrefoffset__
Inherited from `object`: `__class__`

Method Details

### __delattr__(...)

x.__delattr__('name') <==> del x.name

Overrides: object.__delattr__

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

Overrides: object.__getattribute__

### __hash__(x)
(Hashing function)

hash(x)

Overrides: object.__hash__

### __init__(object)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Returns: the object's type
Overrides: object.__init__

### __new__(T, S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__

### __repr__(x)
(Representation operator)

repr(x)

Overrides: object.__repr__

### __setattr__(...)

x.__setattr__('name', value) <==> x.name = value

Overrides: object.__setattr__